/Users/bernard/b20/bsoft/src/mol/seq_align.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/mol/seq_align.cpp - Library routines to generate and analyze dot plots.

SYNOPSIS

#include 'rwmolecule.h'
#include 'rwresprop.h'
#include 'dynamic_programming.h'
#include 'seq_align.h'
#include 'seq_util.h'
#include 'linked_list.h'
#include 'Matrix3.h'
#include 'utilities.h'

  Functions
long seq_pair_align (Bmolecule *mol1, Bmolecule *mol2, double gapopen, double gapextend, Bresidue_matrix *simat)
Aligns two sequences.
int seq_find_best_offset (Bmolecule *mol1, Bmolecule *mol2, long &nres, Bresidue_matrix *simat)
Finds the best offset for aligning two sequences without gaps.
Matrix seq_dot_plot (Bmolecule *mol1, Bmolecule *mol2, Bresidue_matrix *simat)
Calculates a dot plot for two sequences.
Matrix seq_dot_plot_mov_avg (Matrix dot_plot, int window)
Calculates a moving average along the diagonals of a dot plot.
int seq_dot_plot_interpret (Matrix dot_plot)
Finds the row and column maxima in a dot plot.
double seq_dot_plot_best_segments (Matrix dot_plot)
Finding the best segments in a dot plot.
int seq_show_segments (Bmolecule *mol1, Bmolecule *mol2, double threshold, Matrix dot_plot)
Finds the best offset for aligning two sequences without gaps.

  Variables
int verbose

Detailed Description

Library routines to generate and analyze dot plots.

Author:
    Bernard Heymann

Date:
    Created: 20001029

    Modified: 20180622

Definition in file seq_align.cpp.

Function Documentation

  Matrix seq_dot_plot (Bmolecule * mol1, Bmolecule * mol2, Bresidue_matrix * simat)

Calculates a dot plot for two sequences.

Parameters:
    *mol1 first molecule structure.
    *mol2 second molecule structure.
    *simat residue similarity matrix.

Returns:
    Matrix matrix with dot plot.

Definition at line 137 of file seq_align.cpp.

  double seq_dot_plot_best_segments (Matrix dot_plot)

Finding the best segments in a dot plot.

Parameters:
    dot_plot dot plot matrix.

Returns:
    double threshold to identify unique segments.

Definition at line 265 of file seq_align.cpp.

  int seq_dot_plot_interpret (Matrix dot_plot)

Finds the row and column maxima in a dot plot.

Parameters:
    dot_plot dot plot matrix.

Returns:
    int number of maxima in both rows and columns.

Definition at line 214 of file seq_align.cpp.

  Matrix seq_dot_plot_mov_avg (Matrix dot_plot, int window)

Calculates a moving average along the diagonals of a dot plot.

Parameters:
    dot_plot dot plot matrix.
    window moving average window size.

Returns:
    Matrix matrix with moving average dot plot.

Definition at line 168 of file seq_align.cpp.

  int seq_find_best_offset (Bmolecule * mol1, Bmolecule * mol2, long & nres, Bresidue_matrix * simat)

Finds the best offset for aligning two sequences without gaps.

Parameters:
    *mol1 first molecule structure.
    *mol2 second molecule structure.
    *nres number of similar residues in best diagonal.
    *simat residue similarity matrix.

Returns:
    int the offset of sequence 2 with respect to sequence 1.

    The best offset is determined as the diagonal of a dot plot with
    the highest value.

Definition at line 94 of file seq_align.cpp.

  long seq_pair_align (Bmolecule * mol1, Bmolecule * mol2, double gapopen, double gapextend, Bresidue_matrix * simat)

Aligns two sequences.

Parameters:
    *mol1 first molecule structure.
    *mol2 second molecule structure.
    gapopen gap opening penalty.
    gapextend gap extension penalty.
    *simat residue similarity matrix.

Returns:
    long length of the aligned sequences.

    Two sequences are aligned and returned in the sequence strings
    of the molecule structures.

Definition at line 34 of file seq_align.cpp.

  int seq_show_segments (Bmolecule * mol1, Bmolecule * mol2, double threshold, Matrix dot_plot)

Finds the best offset for aligning two sequences without gaps.

Parameters:
    *mol1 first molecule structure.
    *mol2 second molecule structure.
    threshold threshold to identify segments.
    dot_plot dot plot.

Returns:
    int the offset of sequence 2 with respect to sequence 1.

    The best offset is determined as the diagonal of a dot plot with
    the highest value.

Definition at line 324 of file seq_align.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.